Zum Hauptinhalt springen

List Licenses belonging to a Project

GET/projects/{projectId}/licenses/
v2
GET
license-list-licenses-for-project

Request

  • projectIdstring (uuid)
    required

    ID of the Project to get Licenses for.

Responses

Response-Header

  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

application/json

OK

  • Array[
    • *object
      • descriptionstring
        required
      • expiryDatestring (date-time)
      • idstring (uuid)
        required
      • keyReferenceone of 2 alternatives
        • Alternativeobject
          • keystring
            required
        • Alternativeobject
          • externalKeystring
            required
      • kind"typo3-elts"
        required
      • metaobject
        required
        • appVersionobject
          • descriptionstring
            required
      • referenceobject
        required
        • aggregate"project"
          required
        • domain"project"
          required
        • idstring
          required
      • volumeinteger
    ]

Usage examples

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/f0f86186-0a5a-45b2-aa33-502777496347/licenses?limit=50&page=1